import request from '@/utils/request'

// 查询月回款目标填报列表
export function listMonthReturnMerge(query) {
  return request({
    url: '/mk/monthReturnMerge/list',
    method: 'get',
    params: query
  })
}

// 查询月回款目标填报详细
export function getMonthReturnMerge(id) {
  return request({
    url: '/mk/monthReturnMerge/' + id,
    method: 'get'
  })
}

// 新增月回款目标填报
export function addMonthReturnMerge(data) {
  return request({
    url: '/mk/monthReturnMerge',
    method: 'post',
    data: data
  })
}

// 修改月回款目标填报
export function updateMonthReturnMerge(data) {
  return request({
    url: '/mk/monthReturnMerge',
    method: 'put',
    data: data
  })
}

// 删除月回款目标填报
export function delMonthReturnMerge(id) {
  return request({
    url: '/mk/monthReturnMerge/' + id,
    method: 'delete'
  })
}

//提交
export function submit(id) {
  return request({
    url: '/mk/monthReturnMerge/submit',
    method: 'post',
    data: id
  })
}
